sparkles
{
	cull none
	entityMergable		// allow all the sprites to be merged together
	{
		map gfx/misc/sparkles.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/sfx/proball_goal_red
{
	qer_editorimage textures/sfx/proto_zzzt.tga
	surfaceparm nolightmap
	surfaceparm	trans
	cull none			
	{
		map textures/sfx/proto_zzzt.tga
		tcGen environment
        tcMod turb 0 0.25 0 0.5
        tcmod scroll 0.5 0.5
		blendfunc GL_ONE GL_ONE
	}
}

textures/sfx/proball_goal_blue
{
	qer_editorimage textures/sfx/proto_zzztblu3.tga
	surfaceparm nolightmap
	surfaceparm	trans
	cull none			
	{
		map textures/sfx/proto_zzztblu3.tga
		tcGen environment
        tcMod turb 0 0.25 0 0.5
        tcmod scroll 0.5 0.5
		blendfunc GL_ONE GL_ONE
	}
}

models/proball/theball/theball
{
	{
		map models/proball/theball/theball.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 

	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}

textures/proball/ballclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm monsterclip
	surfaceparm playerclip
}

players/ball
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapgold2.tga
		tcGen environment
		tcMod turb 0 0.15 0 0.3
		tcmod rotate 333
		tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/ball
{
	deformVertexes wave 100 sin 0.25 0 0 0
	{
		map textures/effects/envmapgold2.tga
		tcGen environment
		tcMod turb 0 0.15 0 0.3
		tcmod rotate 333
		tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/protection
{
	deformVertexes wave 100 sin 0.25 0 0 0
	{
		map textures/effects/envmapwhite.tga
		tcGen environment
		tcMod turb 0 0.15 0 0.3
		tcmod rotate 333
		tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

textures/skies/hellsky3
{
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_sun	1 1 1 100 220 50
	q3map_surfacelight 120

	qer_editorimage textures/skies/inteldimredclouds.tga

	skyparms - 512 -
	{
		map textures/skies/inteldimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

textures/gothic_ceiling/ceilingtechplain_noshadow
{
	surfaceparm trans

	qer_editorimage textures/gothic_ceiling/ceilingtechplain.tga

	{
		map textures/gothic_ceiling/ceilingtechplain.tga
	}
}

textures/base_wall/comp3textb_noshadow
{
	surfaceparm trans

	qer_editorimage textures/base_wall/comp3textb.tga

	{
		map textures/base_wall/comp3textb.tga
	}
}

